Install

Install

Prerequisites

To install DVG you need at least following software installed on your server:

  • Apache 2.0 (Other releases should work, but are not tested!)
  • PHP 5.3 (Other releases could work, but are not tested!)
  • PEAR libs: DB (>= V.1.6?), Text/Password.php (pear.php.net)
  • rrdtools, rrd-extension for php, rrdlib for perl
  • cracklib (optional)
  • Perl, with different CPAN-Libs installed.
  • AJAX Toolkit: xajax
  • CVS (to fetch the DVG software)

PEAR Libs

Following PEAR-Libs are used by the PHP pages:

DB
Config
Text/Password.php
Net/IPv4.php
Net/IPv6.php (in the future)  

or as debian packages:

 php-mdb2 php-mdb2-driver-mysql
 php-config
 php-text-password
 php-net-ipv4
 
 you'll need to install the Net_IPv6 lib by `` pear install Net_IPv6 ``
 

Following PHP-Extension are needed

 php5-snmp
 php5-gd

Perl CPAN-Libs

Following Libs are use in the various Perl scripts:

Config::Auto 
DBI, DBD::MySql
FindBin
Getopt::Long
Mail::Sendmail 
MIME::Base64
MIME::QuotedPrint
RRDs
SNMP_util
Net::IP
Net::SNMP
Unix::Syslog

Crypt::DES
Crypt::Rijndael

Net::Jabber
Net::Oping

as debian packet:

libconfig-auto-perl 
libdata-dumper-simple-perl
libdbi-perl libdbd-mysql-perl
libmail-sendmail-perl
libmime-perl
librrdp-perl librrds-perl
libnet-snmp-perl libsnmp-session-perl
libnet-ip-perl
libsnmp-perl libnet-snmp-perl 
libunix-syslog-perl

libcrypt-des-perl
libcrypt-rijndael-perl

libnet-jabber-perl
libnet-oping-perl

Install Procedure

On our CVS server you'll find a short install description.

docu/install.txt · Last modified: 2015/02/28 02:01 by Ueli Heuer
Back to top
CC Attribution-Noncommercial-Share Alike 3.0 Unported
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0